# mirp | MatterLinux pool mirror tool
Simple MPTP server mirroring tool for creating MatterLinux package pool
mirrors. Built on top of [`libmp`](https://git.matterlinux.xyz/Matter/libmp).

### Installation
If you are using MatterLinux, this package should be avaliable in the `server` repo,
and you can install it with the package manager. If you are not using MatterLinux
then you can build it from source.

To do so, you will need the following tools and the libraries:
- gcc
- make
- [libmp](https://git.matterlinux.xyz/Matter/libmp)
- gettext

After installing these dependencies, you should download the latest release.
If you are building this program for development purposes, then you may also
build from the latest commit. However latest commit may not always be compilable.

After obtaining the source code, you can compile the program using the make
tool:
```bash
make
```

To install the binary, you can use the `install` command:
```bash
make install
```

### Usage
To mirror a pool from a MPTP server, specify the pool name, target directory and the pool URL.
For example:
```bash
mirp my-pool /srv/pools/my-pool mptp://my-pool.example.com
```
To learn more about pool mirrors, check out [this wiki page](https://matterlinux.xyz/wiki/mirrors).
